org.richfaces.context

## Class PartialResponseWriterWrapper

- java.lang.Object
- - java.io.Writer
  - - javax.faces.context.ResponseWriter
    - - javax.faces.context.ResponseWriterWrapper
      - - javax.faces.context.PartialResponseWriter
        - - org.richfaces.context.PartialResponseWriterWrapper

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable, javax.faces.FacesWrapper<javax.faces.context.ResponseWriter>

      public abstract class PartialResponseWriterWrapper
      extends javax.faces.context.PartialResponseWriter

  Wraps `PartialResponseWriter` and delegates all calls to wrapped writer by default.
  Author:
    Lukas Fryc

- - ### Field Summary

    - ### Fields inherited from class javax.faces.context.PartialResponseWriter

      `RENDER_ALL_MARKER, VIEW_STATE_MARKER`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartialResponseWriterWrapper(javax.faces.context.PartialResponseWriter wrapped)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Writer` | `append(char c)`
    `Writer` | `append(CharSequence csq)`
    `Writer` | `append(CharSequence csq, int start, int end)`
    `javax.faces.context.ResponseWriter` | `cloneWithWriter(Writer writer)`
    `void` | `close()`
    `void` | `delete(String targetId)`
    `void` | `endCDATA()`
    `void` | `endDocument()`
    `void` | `endElement(String name)`
    `void` | `endError()`
    `void` | `endEval()`
    `void` | `endExtension()`
    `void` | `endInsert()`
    `void` | `endUpdate()`
    `void` | `flush()`
    `String` | `getCharacterEncoding()`
    `String` | `getContentType()`
    `javax.faces.context.PartialResponseWriter` | `getWrapped()`
    `void` | `redirect(String url)`
    `void` | `startCDATA()`
    `void` | `startDocument()`
    `void` | `startElement(String name, javax.faces.component.UIComponent component)`
    `void` | `startError(String errorName)`
    `void` | `startEval()`
    `void` | `startExtension(Map<String,String> attributes)`
    `void` | `startInsertAfter(String targetId)`
    `void` | `startInsertBefore(String targetId)`
    `void` | `startUpdate(String targetId)`
    `void` | `updateAttributes(String targetId, Map<String,String> attributes)`
    `void` | `write(char[] cbuf)`
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(String str)`
    `void` | `write(String str, int off, int len)`
    `void` | `writeAttribute(String name, Object value, String property)`
    `void` | `writeComment(Object comment)`
    `void` | `writeText(char[] text, int off, int len)`
    `void` | `writeText(Object text, String property)`
    `void` | `writeText(Object text, javax.faces.component.UIComponent component, String property)`
    `void` | `writeURIAttribute(String name, Object value, String property)`

    - ### Methods inherited from class javax.faces.context.ResponseWriterWrapper

      `writeDoctype, writePreamble`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartialResponseWriterWrapper

          public PartialResponseWriterWrapper(javax.faces.context.PartialResponseWriter wrapped)

  - ### Method Detail

    - #### getWrapped

          public javax.faces.context.PartialResponseWriter getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.ResponseWriter>`
      Overrides:
        `getWrapped` in class `javax.faces.context.PartialResponseWriter`

    - #### startDocument

          public void startDocument()
                             throws IOException

      Overrides:
        `startDocument` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### endDocument

          public void endDocument()
                           throws IOException

      Overrides:
        `endDocument` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### startInsertBefore

          public void startInsertBefore(String targetId)
                                 throws IOException

      Overrides:
        `startInsertBefore` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### startInsertAfter

          public void startInsertAfter(String targetId)
                                throws IOException

      Overrides:
        `startInsertAfter` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### endInsert

          public void endInsert()
                         throws IOException

      Overrides:
        `endInsert` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### startUpdate

          public void startUpdate(String targetId)
                           throws IOException

      Overrides:
        `startUpdate` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### endUpdate

          public void endUpdate()
                         throws IOException

      Overrides:
        `endUpdate` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### updateAttributes

          public void updateAttributes(String targetId,
                              Map<String,String> attributes)
                                throws IOException

      Overrides:
        `updateAttributes` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### delete

          public void delete(String targetId)
                      throws IOException

      Overrides:
        `delete` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### redirect

          public void redirect(String url)
                        throws IOException

      Overrides:
        `redirect` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### startEval

          public void startEval()
                         throws IOException

      Overrides:
        `startEval` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### endEval

          public void endEval()
                       throws IOException

      Overrides:
        `endEval` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### startExtension

          public void startExtension(Map<String,String> attributes)
                              throws IOException

      Overrides:
        `startExtension` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### endExtension

          public void endExtension()
                            throws IOException

      Overrides:
        `endExtension` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### startError

          public void startError(String errorName)
                          throws IOException

      Overrides:
        `startError` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### endError

          public void endError()
                        throws IOException

      Overrides:
        `endError` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### getContentType

          public String getContentType()

      Overrides:
        `getContentType` in class `javax.faces.context.ResponseWriterWrapper`

    - #### getCharacterEncoding

          public String getCharacterEncoding()

      Overrides:
        `getCharacterEncoding` in class `javax.faces.context.ResponseWriterWrapper`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### startElement

          public void startElement(String name,
                          javax.faces.component.UIComponent component)
                            throws IOException

      Overrides:
        `startElement` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### startCDATA

          public void startCDATA()
                          throws IOException

      Overrides:
        `startCDATA` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### endCDATA

          public void endCDATA()
                        throws IOException

      Overrides:
        `endCDATA` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `IOException`

    - #### endElement

          public void endElement(String name)
                          throws IOException

      Overrides:
        `endElement` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### writeAttribute

          public void writeAttribute(String name,
                            Object value,
                            String property)
                              throws IOException

      Overrides:
        `writeAttribute` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### writeURIAttribute

          public void writeURIAttribute(String name,
                               Object value,
                               String property)
                                 throws IOException

      Overrides:
        `writeURIAttribute` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### writeComment

          public void writeComment(Object comment)
                            throws IOException

      Overrides:
        `writeComment` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### writeText

          public void writeText(Object text,
                       String property)
                         throws IOException

      Overrides:
        `writeText` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### writeText

          public void writeText(Object text,
                       javax.faces.component.UIComponent component,
                       String property)
                         throws IOException

      Overrides:
        `writeText` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### writeText

          public void writeText(char[] text,
                       int off,
                       int len)
                         throws IOException

      Overrides:
        `writeText` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### cloneWithWriter

          public javax.faces.context.ResponseWriter cloneWithWriter(Writer writer)

      Overrides:
        `cloneWithWriter` in class `javax.faces.context.ResponseWriterWrapper`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### write

          public void write(char[] cbuf,
                   int off,
                   int len)
                     throws IOException

      Overrides:
        `write` in class `javax.faces.context.ResponseWriterWrapper`
      Throws:
        `IOException`

    - #### write

          public void write(int c)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(char[] cbuf)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(String str)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(String str,
                   int off,
                   int len)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### append

          public Writer append(CharSequence csq)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Overrides:
        `append` in class `Writer`
      Throws:
        `IOException`

    - #### append

          public Writer append(CharSequence csq,
                      int start,
                      int end)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Overrides:
        `append` in class `Writer`
      Throws:
        `IOException`

    - #### append

          public Writer append(char c)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Overrides:
        `append` in class `Writer`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.